org.eclipse.viatra.query.runtime.matchers.psystem.queries

## Class PQueries

- java.lang.Object
- - org.eclipse.viatra.query.runtime.matchers.psystem.queries.PQueries

-     public final class PQueries
      extends java.lang.Object

  Utility class for using PQueries in Guava collection operations effectively

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static com.google.common.base.Function<PBody,java.lang.Iterable<PQuery>>` | `directlyReferencedQueriesFunction()`
    `static java.util.Set<PTraceable>` | `getTraceables(PQuery query)` Returns all `PTraceable`s contained in the given `PQuery`: itself, its bodies and their constraints.
    `static com.google.common.base.Predicate<PParameter>` | `parameterDirectionPredicate(PParameterDirection direction)`
    `static com.google.common.base.Function<PParameter,java.lang.String>` | `parameterNameFunction()`
    `static com.google.common.base.Function<PQuery,java.lang.String>` | `queryNameFunction()` Function that returns the qualified name of a query
    `static com.google.common.base.Function<IQueryReference,PQuery>` | `queryOfReferenceFunction()`
    `static com.google.common.base.Predicate<PQuery>` | `queryStatusPredicate(PQuery.PQueryStatus status)` Predicate checking for the status of selected queries

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### queryStatusPredicate

          public static com.google.common.base.Predicate<PQuery> queryStatusPredicate(PQuery.PQueryStatus status)

      Predicate checking for the status of selected queries

    - #### queryNameFunction

          public static com.google.common.base.Function<PQuery,java.lang.String> queryNameFunction()

      Function that returns the qualified name of a query

    - #### parameterNameFunction

          public static com.google.common.base.Function<PParameter,java.lang.String> parameterNameFunction()

    - #### queryOfReferenceFunction

          public static com.google.common.base.Function<IQueryReference,PQuery> queryOfReferenceFunction()

    - #### directlyReferencedQueriesFunction

          public static com.google.common.base.Function<PBody,java.lang.Iterable<PQuery>> directlyReferencedQueriesFunction()

    - #### parameterDirectionPredicate

          public static com.google.common.base.Predicate<PParameter> parameterDirectionPredicate(PParameterDirection direction)

      Since:
        1.4

    - #### getTraceables

          public static java.util.Set<PTraceable> getTraceables(PQuery query)

      Returns all `PTraceable`s contained in the given `PQuery`: itself, its bodies and their constraints.
      Since:
        1.6